Skip to content

Vouch for a user via Ethos Everywhere wallet

POST
/wallets/privy/vouches
curl --request POST \
--url https://api.ethos.network/api/v2/wallets/privy/vouches \
--header 'Content-Type: application/json' \
--cookie ethos-access-token=<ethos-access-token> \
--data '{ "target": { "address": "example" }, "comment": "example", "metadata": {}, "paymentAmountEth": "example", "waitForTxTimeoutSeconds": 5 }'

Submits a vouch transaction using the user’s Ethos Everywhere wallet. The user’s EEW wallet must hold sufficient ETH to cover both the stake amount and gas.

Media typeapplication/json
object
target
required
Any of:
object
address
required

Ethereum address (0x-prefixed, 20 bytes)

string
comment
required
string
>= 1 characters
metadata
object
description
string
source
string
importedFromTestnet
integer
<= 9007199254740991
batchId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
reviewId
integer
> 0 <= 9007199254740991
convertedFromVouchV1Id
integer
<= 9007199254740991
client
string
clientSource
string
version
string
paymentAmountEth
required
string
waitForTxTimeoutSeconds

Timeout in seconds to wait for the transaction to be processed by Ethos. Defaults to 5 seconds. Set to 0 to skip waiting.

number
default: 5

Successful response

Media typeapplication/json
object
hash
required

0x-prefixed 32-byte transaction hash (keccak256)

string
processed
required

Whether the vouch transaction has been received & processed by Ethos.

boolean

Example generated

{
"hash": "example",
"processed": true
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}